#include "dialog.h"
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kapplication.h>


static const char *description =
	I18N_NOOP("Mosfet Image Loader Wallpaper Utility.");

static KCmdLineOptions options[] = {
    { "wallpaper <item>", I18N_NOOP("Wallpaper to open"), 0 },
    { 0, 0, 0 }
};

int main( int argc, char **argv )
{
    KAboutData aboutData("mosfetwallpaper", I18N_NOOP("MosfetWallpaper"),
    "0.1", description, KAboutData::License_BSD,
    "(c) 2003 Daniel Duley <dan.duley@verizon.net>");

    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions(options);

    KApplication app(argc, argv);
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    QString wallpaperStr(args->getOption("wallpaper"));
    if(wallpaperStr.isEmpty()){
        qWarning("The wallpaper argument is required!");
        return(1);
    }
    MyBackgroundDialog dlg(wallpaperStr, NULL);
    dlg.exec();

    return(0);
}


